Subject: bug#28827: 26.0.60; compilation mode -vs- messages from make

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Jul 2019 10:59:25 +0200

Tom Tromey <[email-masked]> writes:

> I'm using an Emacs built from the emacs 26 branch.
> I have GNU make 4.2.1.
>
> When I compile, if I get an error, make also prints this, e.g.:
>
> make: *** [Makefile:1928: breakpoint.o] Error 1
>
>
> In the *compilation* buffer, the "*** [Makefile:" text is highlighted
> red.
>
> When I next-error, Emacs will ask me:
>
> Find this error in (default *** [Makefile): ~/gdb/build/gdb

On the trunk, I get:

callint.c:895:13: note: each undeclared identifier is reported only once for each function it appears in
Makefile:402: recipe for target 'callint.o' failed
make[1]: *** [callint.o] Error 1

and Emacs doesn't ask me for anything when next-error-ing to the file.
(This is on the trunk.)  Are you still seeing this problem?

> However, this sort of error is basically never interesting, as it's not
> a bug in the Makefile; it is just make reporting which rule
> failed... but I already know which rule failed from the earlier
> messages.
>
> I think it would be an improvement if compilation mode ignored these
> messages.

Hm...  well, I guess it's mostly not interesting, but I could see that
some people would find it interesting sometimes...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no